#!/bin/bash

linkDir="/usr/bin"


function juliaLang(){
    name="julia"
    version="1.1.1"
    linkDir="${linkDir}"

    if [ ! -f "${linkDir}/${name}" ];then
        printf "\nLinking $(pwd)/${name}-${version}/bin/${name} to ${linkDir}\n"
        ln -s $(pwd)/${name}-${version}/bin/${name} ${linkDir}/${name}
    else
        printf "\n${name} exists in ${linkDir}\n"
    fi
}

function idd(){
    name="idd"
    linkDir="${linkDir}"

    if [ ! -f "${linkDir}/${name}" ];then
        printf "\nLinking ${pwd}/${name} to ${linkDir}\n"
        ln -s $(pwd)/${name}.sh ${linkDir}/${name}
    else
        printf "${name} already exists in ${linkDir}\n"
    fi
        

}

function parlink(){
    name="parlink"
    linkDir="${linkDir}"

    if [ ! -f "${linkDir}/${name}" ];then
        printf "\nLinking ${pwd}/${name} to ${linkDir}\n"
        ln -s $(pwd)/${name}.sh ${linkDir}/${name}
    else
        printf "${name} already exists in ${linkDir}\n"
    fi


}

function papirusIconTheme(){
    name="papirus-icons-installer.sh"
    linkDir="${linkDir}"

    if [ ! -f "${linkDir}/${name}" ];then
        printf "\nLinking ${pwd}/${name} to ${linkDir}\n"
        ln -s $(pwd)/${name}.sh ${linkDir}/${name}
    else
        printf "${name} already exists in ${linkDir}\n"
    fi
        

}

function mic(){
    name="staticmic"
    linkDir="${linkDir}"

    if [ ! -f "${linkDir}/${name}" ];then
        printf "\nLinking ${pwd}/${name} to ${linkDir}\n"
        ln -s $(pwd)/${name}.sh ${linkDir}/${name}
    else
        printf "${name} already exists in ${linkDir}\n"
    fi
        

}

function svc(){
    name="svc"
    linkDir="${linkDir}"

    if [ ! -f "${linkDir}/${name}" ];then
        printf "\nLinking ${pwd}/${name} to ${linkDir}\n"
        ln -s $(pwd)/${name}.sh ${linkDir}/${name}
    else
        printf "${name} already exists in ${linkDir}\n"
    fi
}

function trb(){
    name="trb"
    linkDir="${linkDir}"

    if [ ! -f "${linkDir}/${name}" ];then
        printf "\nLinking ${pwd}/${name} to ${linkDir}\n"
        ln -s $(pwd)/${name}.sh ${linkDir}/${name}
    else
        printf "${name} already exists in ${linkDir}\n"
    fi
        

}

case "${1}" in 

    -r | --remove )
        rm -v ${linkDir}/${2};;
    julia ) 
        juliaLang;;

    idd )
        idd;;

    papirus)
        papirusIconTheme;;

    parlink| parsec)
	parlink;;

    svc )
        svc;;

    mic )
        mic;;

    trb)
        trb;;

    help|-h|--help )
        echo ${linkDir};;
    * ) printf "\n${0} <command>\n" 
    ;;

esac
